Subject: bug#37345: Icecat doesn't display numbers on Guix System

From: Bengt Richter <[email-masked]>
Date: Mon, 9 Sep 2019 03:02:13 -0700

On +2019-09-08 19:05:22 -0600, Jesse Gibbons wrote:
> Hi Jan,
> On Mon, 2019-09-09 at 00:18 +0200, Jan wrote:
> > Okay, I found some probably more helpful info - I run icecat in a
> > terminal and it throws the following warnings, don't know if they're
> > related to this bug though:
> > ...
> > (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> > guix1/lib/icecat/.icecat-real:4648):
> > Pango-WARNING **: 22:11:58.541: failed to create cairo scaled font,
> > expect ugly output. the offending font is 'Nimbus Sans L
> > 9.9990234375'
> >

I got this too when I first installed icecat.
I am not sure why, but I got no readable presentation
from icecat until I had done
 guix install font-dejavu

The steps prior to that, and after were:

 guix package -i nss-certs
 guix upgrade icecat
 guix install fontconfig
 guix install libxfont
 guix install font-dejavu -->> and that gave icecat font
 guix install moka-icon-theme
 guix install hicolor-icon-theme
 guix install less

libxfont notably did nothing for me, but idk if fontconfig
was either interfered or did something good.

You might consider installing font-dejavu

After getting a usable display, there was another error produced by
an add-on, which I was able to disable from the menu at the top right.
Sorry not to remember details on that.

I generally dislike add-ons or anything else that comes preconfigured
to do any action without my consent. R_my_F, icecat ;-/

Jesse's fc-list suggestion indicates that the Nimbus fonts ought to
come in by
 guix install gs-fonts

maybe that would work as well as or better than
 guix install font-dejavu

Idk :)

HTH

[...]
> > 
> > Jan Wielkiewicz
> > 
> > 
> > 
> Looks like it isn't finding the "Nimbus Sans L" font. Try running 
> 
> fc-list | grep "Nimbus Sans L"
> 
> and reply with the output.
> -- 
> -Jesse
> 

Regards,
Bengt Richter